# Tag

class Tag implements ModelObject

Represents a tag.

## Methods

array
getSubTags()

No description

hasSubTags()

No description

array
getSuperTags()

No description

getName()

No description

getGlobalcount()

No description

getUsercount()

No description

getScore()

No description

getConfidence()

No description

getHref()

No description

setSubTags(Tags $subTags)

No description

addSubTag(Tag $subTag)

No description

setSuperTags(array $superTags)

No description

addSuperTag(Tag $superTag)

No description

setName($name)

No description

setGlobalcount($globalcount)

No description

setUsercount($usercount)

No description

setScore($score)

No description

setConfidence($confidence)

No description

setHref($href)

No description

string
__toString()

No description

int
compare(Tag $b, string $sortingKey)

No description

## Details

###
at line 84
`array getSubTags()`

#### Return Value

array |

###
at line 88
`hasSubTags()`

###
at line 95
`array getSuperTags()`

#### Return Value

array |

###
at line 99
`getName()`

###
at line 103
`getGlobalcount()`

###
at line 107
`getUsercount()`

###
at line 111
`getScore()`

###
at line 115
`getConfidence()`

###
at line 119
`getHref()`

###
at line 123
`setSubTags(Tags $subTags)`

#### Parameters

Tags | $subTags |

###
at line 128
`addSubTag(Tag $subTag)`

#### Parameters

Tag | $subTag |

###
at line 134
`setSuperTags(array $superTags)`

#### Parameters

array | $superTags |

###
at line 139
`addSuperTag(Tag $superTag)`

#### Parameters

Tag | $superTag |

###
at line 144
`setName($name)`

#### Parameters

| $name |

###
at line 149
`setGlobalcount($globalcount)`

#### Parameters

| $globalcount |

###
at line 154
`setUsercount($usercount)`

#### Parameters

| $usercount |

###
at line 159
`setScore($score)`

#### Parameters

| $score |

###
at line 164
`setConfidence($confidence)`

#### Parameters

| $confidence |

###
at line 169
`setHref($href)`

#### Parameters

| $href |

###
at line 177
`string __toString()`

#### Return Value

string |

###
at line 187
`int compare(Tag $b, string $sortingKey)`

#### Parameters

Tag | $b |
string | $sortingKey |

#### Return Value

int |